High-Level Data Reduction Library: tests/hdrl_imagelist_view-test.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Macros | Functions
hdrl_imagelist_view-test.c File Reference
`#include "hdrl_imagelist.h"`
`#include "hdrl_test.h"`
`#include "hdrl_imagelist_view.h"`
`#include <cpl.h>`
Include dependency graph for hdrl_imagelist_view-test.c:

## Macros
#define | IMG_PTR(a) cpl_image_get_data(hdrl_image_get_image(a))
#define | ERR_PTR(a) cpl_image_get_data(hdrl_image_get_image(a))
#define | MSK_PTR(a) cpl_mask_get_data(hdrl_image_get_mask(a))
#define | CIMG_PTR(a) cpl_image_get_data_const(hdrl_image_get_image_const(a))
#define | CERR_PTR(a) cpl_image_get_data_const(hdrl_image_get_image_const(a))
#define | CMSK_PTR(a) cpl_mask_get_data_const(hdrl_image_get_mask_const(a))
#define | YSIZE 73
#define | XSIZE 50

## Functions
cpl_error_code | test_row_view (void)
cpl_error_code | test_cpl_row_view_invalid (void)
cpl_error_code | test_cpl_row_view (void)
cpl_error_code | test_image_view (void)
int | main (void)
| Unit tests of hdrl_image_view.

## Macro Definition Documentation

## ◆ CERR_PTR

#define CERR_PTR | ( |  | a | ) | cpl_image_get_data_const(hdrl_image_get_image_const(a))

## ◆ CIMG_PTR

#define CIMG_PTR | ( |  | a | ) | cpl_image_get_data_const(hdrl_image_get_image_const(a))

## ◆ CMSK_PTR

#define CMSK_PTR | ( |  | a | ) | cpl_mask_get_data_const(hdrl_image_get_mask_const(a))

## ◆ ERR_PTR

#define ERR_PTR | ( |  | a | ) | cpl_image_get_data(hdrl_image_get_image(a))

## ◆ IMG_PTR

#define IMG_PTR | ( |  | a | ) | cpl_image_get_data(hdrl_image_get_image(a))

## ◆ MSK_PTR

#define MSK_PTR | ( |  | a | ) | cpl_mask_get_data(hdrl_image_get_mask(a))

## ◆ XSIZE

#define XSIZE 50

## ◆ YSIZE

#define YSIZE 73

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Unit tests of hdrl_image_view.

## ◆ test_cpl_row_view()

cpl_error_code test_cpl_row_view | ( | void |  | ) |

## ◆ test_cpl_row_view_invalid()

cpl_error_code test_cpl_row_view_invalid | ( | void |  | ) |

## ◆ test_image_view()

cpl_error_code test_image_view | ( | void |  | ) |

## ◆ test_row_view()

cpl_error_code test_row_view | ( | void |  | ) |